//+------------------------------------------------------------------+
//|                      RSI_Power MTF.mq4                      |
//+------------------------------------------------------------------+
#property copyright "By JR"
#property link "Link to your website"
#property indicator_separate_window
#property indicator_buffers 2
#property indicator_minimum 0
#property indicator_maximum 2
#property indicator_color1 Red
#property indicator_width1 2


#property indicator_color2 Green
#property indicator_width2 2



// exported variables
extern int Period= 13;
extern ENUM_TIMEFRAMES TimeFrame=PERIOD_CURRENT;
// local variables
string LF = "\n";  // use this in custom or utility blocks where you need line feeds
int ObjCount = 0;  // count of all objects created on the chart, allows creation of objects with unique names
int current = 0; // variable points to current bar

double Buffer4[];
double Buffer5[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
    if (false) ObjectsDeleteAll();      // clear the chart
    IndicatorShortName("RSI_Power");
    IndicatorDigits(0);
    IndicatorBuffers(2);
    
    SetIndexBuffer(0, Buffer4);
    SetIndexStyle(0, DRAW_HISTOGRAM, STYLE_SOLID);
    
    SetIndexBuffer(1, Buffer5);
    SetIndexStyle(1, DRAW_HISTOGRAM, STYLE_SOLID);
    
    
    return(0);
}

//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
{
    if (false) ObjectsDeleteAll();
    
    
    return(0);
}

//+------------------------------------------------------------------+
//| Custom indicator start function                                  |
//+------------------------------------------------------------------+
int start()
{
    OnEveryTick1();
    
    return(0);
}

//+------------------------------------------------------------------+

void OnEveryTick1()
{
    
    int i;
    int counted_bars = IndicatorCounted();
    if(counted_bars < 0) return(-1);
    if(counted_bars > 0) counted_bars--;
    i = Bars - counted_bars;
    // main calculation loop
    while (i >= 0)
    {
        current = i;
        TechnicalAnalysis2x3();
        TechnicalAnalysis2x2();
        
        i--;
    }
}

void TechnicalAnalysis2x3()
{
    if ((iRSI(NULL, TimeFrame,Period,PRICE_CLOSE,current) < 50) && (iRSI(NULL, TimeFrame,Period,PRICE_CLOSE,current+1) < iRSI(NULL, TimeFrame,Period,PRICE_CLOSE,current+2)))
    {
        Histogram4();
        
    }
}

void Histogram4()
{
    Buffer4[current]= iRSI(NULL, TimeFrame,Period,PRICE_CLOSE,current);
    
}

void TechnicalAnalysis2x2()
{
    if ((iRSI(NULL, TimeFrame,Period,PRICE_CLOSE,current) > 50) && (iRSI(NULL, TimeFrame,Period,PRICE_CLOSE,current+1) > iRSI(NULL, TimeFrame,Period,PRICE_CLOSE,current+2)))
    {
        Histogram5();
        
    }
}

void Histogram5()
{
    Buffer5[current]= iRSI(NULL, TimeFrame,Period,PRICE_CLOSE,current);
    
}



